%define _requires_exceptions pear(tests/lib/Application.php)\\|pear(SyncML/Backend.php)\\|pear(SyncML/Device.php)\\|pear(SyncML/Device/Sync4j.php)\\|pear(SyncML.php)
%define upstream_name Horde_SyncMl
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.8
Release:     	%mkrel 2
Summary:    	Horde_SyncMl provides an API for processing SyncML requests
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Date <= 2.0.0
Requires: 	php-pear-Horde_Icalendar <= 2.0.0
Requires: 	php-pear-Horde_Log <= 2.0.0
Requires: 	php-pear-Horde_Support <= 2.0.0
Requires: 	php-pear-Horde_Util <= 2.0.0
Requires: 	php-pear-Horde_Xml_Wbxml <= 2.0.0
Requires: 	php-pear-Horde_Translation <= 2.0.0
Conflicts:  	php-pear-Horde_Date = 2.0.0
Conflicts: 	php-pear-Horde_Icalendar = 2.0.0
Conflicts: 	php-pear-Horde_Log = 2.0.0
Conflicts: 	php-pear-Horde_Support = 2.0.0
Conflicts: 	php-pear-Horde_Util = 2.0.0
Conflicts: 	php-pear-Horde_Xml_Wbxml = 2.0.0
Conflicts: 	php-pear-Horde_Translation = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_SyncMl = %{version}


%description
This package provides classes for implementing a SyncML server.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_SyncMl.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_SyncMl.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_SyncMl
fi

%files
%defattr(-,root,root)
%doc docs/Horde_SyncMl/*
%{peardir}/*
%{xmldir}/Horde_SyncMl.xml


%changelog

* Sat Jan 21 2012 spuhler <spuhler> 1.0.8-2.mga2
+ Revision: 199276
+ rebuild (emptylog)

* Sat Jan 21 2012 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 199262
- upgrade to 1.0.8

* Fri Dec 23 2011 spuhler <spuhler> 1.0.7-3.mga2
+ Revision: 186890
- adding the missing exceptions until upstream fixes them

* Fri Dec 23 2011 spuhler <spuhler> 1.0.7-2.mga2
+ Revision: 186376
- exceptions put back since upstream hasn't fixed the bugs yet

* Fri Dec 23 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 186336
- upgrade to 1.0.7

* Sat Dec 03 2011 spuhler <spuhler> 1.0.6-3.mga2
+ Revision: 175306
- added %%define _requires_exceptions pear(tests/lib/Application.php)

* Sun Nov 13 2011 spuhler <spuhler> 1.0.6-2.mga2
+ Revision: 167082
- increased rel for rebuild with corrected source
- Silent replaced with corrected source

* Mon Nov 07 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 164710
- upgrade to 1.0.6
- added %%define _requires_exceptions  pear(\\(SyncML/Backend.php\\|SyncML/Device.php\\|SyncML/Device/Sync4j.php\\|SyncML.php))
  changed Provides: php-pear-Horde_SyncMl to php-pear-Horde_SyncMl = %%{version}
- increased rel to 2
- removed all the double Horde_Horde in the Requires and Conflicts
- imported package php-pear-Horde_SyncMl

